Loading...
Searching...
No Matches
COMPS_DocGroup properties setters

## Functions

void | comps_docgroup_set_id (COMPS_DocGroup *group, char *id, char copy)
void | comps_docgroup_set_name (COMPS_DocGroup *group, char *name, char copy)
void | comps_docgroup_set_desc (COMPS_DocGroup *group, char *desc, char copy)
void | comps_docgroup_set_def (COMPS_DocGroup *group, int def, bool unset)
void | comps_docgroup_set_uservisible (COMPS_DocGroup *group, int uservisible, bool unset)
void | comps_docgroup_set_biarchonly (COMPS_DocGroup *group, int biarchonly, bool unset)
void | comps_docgroup_set_display_order (COMPS_DocGroup *group, int display_order, bool unset)
void | comps_docgroup_set_langonly (COMPS_DocGroup *group, char *langonly, char copy)

## Detailed Description

## Function Documentation

## comps_docgroup_set_biarchonly()

void comps_docgroup_set_biarchonly | ( | COMPS_DocGroup * | group,
|  | int | biarchonly,
|  | bool | unset )

COMPS_DocGroup biarchonly setter

Parameters

  obj | COMPS_DocGroup object
  uservisible | COMPS_NUm object representing biarchonly

Warning
  setter doesn't increment reference counter of biarchonly object

## comps_docgroup_set_def()

void comps_docgroup_set_def | ( | COMPS_DocGroup * | group,
|  | int | def,
|  | bool | unset )

COMPS_DocGroup default setter

Parameters

  obj | COMPS_DocGroup object
  def | COMPS_Num object representing def

Warning
  setter doesn't increment reference counter of def object

## comps_docgroup_set_desc()

void comps_docgroup_set_desc | ( | COMPS_DocGroup * | group,
|  | char * | desc,
|  | char | copy )

COMPS_DocGroup description setter

Parameters

  obj | COMPS_DocGroup object
  desc | COMPS_Str object representing description

Warning
  setter doesn't increment reference counter of desc object

## comps_docgroup_set_display_order()

void comps_docgroup_set_display_order | ( | COMPS_DocGroup * | group,
|  | int | display_order,
|  | bool | unset )

COMPS_DocGroup display_order setter

Parameters

  obj | COMPS_DocGroup object
  display_order | COMPS_Num object representing display_order

Warning
  setter doesn't increment reference counter of display_order object

## comps_docgroup_set_id()

void comps_docgroup_set_id | ( | COMPS_DocGroup * | group,
|  | char * | id,
|  | char | copy )

COMPS_DocGroup id setter

Parameters

  obj | COMPS_DocGroup object
  id | COMPS_Str object representing id

Warning
  setter doesn't increment reference counter of id object

## comps_docgroup_set_langonly()

void comps_docgroup_set_langonly | ( | COMPS_DocGroup * | group,
|  | char * | langonly,
|  | char | copy )

COMPS_DocGroup langonly setter

Parameters

  obj | COMPS_DocGroup object
  langonly | COMPS_Str object representing langonly

Warning
  setter doesn't increment reference counter of langonly object

## comps_docgroup_set_name()

void comps_docgroup_set_name | ( | COMPS_DocGroup * | group,
|  | char * | name,
|  | char | copy )

COMPS_DocGroup name setter

Parameters

  obj | COMPS_DocGroup object
  name | COMPS_Str object representing name

Warning
  setter doesn't increment reference counter of name object

## comps_docgroup_set_uservisible()

void comps_docgroup_set_uservisible | ( | COMPS_DocGroup * | group,
|  | int | uservisible,
|  | bool | unset )

COMPS_DocGroup uservisible setter

Parameters

  obj | COMPS_DocGroup object
  uservisible | COMPS_NUm object representing uservisible

Warning
  setter doesn't increment reference counter of uservisible object